[![Join the chat at https://gitter.im/Daplie/letsencrypt-express](https://badges.gitter.im/Daplie/letsencrypt-express.svg)](https://gitter.im/Daplie/letsencrypt-express?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

| [letsencrypt](https://github.com/Daplie/node-letsencrypt) (library)
| [letsencrypt-cli](https://github.com/Daplie/letsencrypt-cli)
| [letsencrypt-express](https://github.com/Daplie/letsencrypt-express)
| [letsencrypt-koa](https://github.com/Daplie/letsencrypt-koa)
| [letsencrypt-hapi](https://github.com/Daplie/letsencrypt-hapi)
|

le-challenge-memory
===================

An in-memory strategy for node-letsencrypt for setting, retrieving,
and clearing ACME challenges issued by the ACME server

* Safe to use on ephemeral services (i.e. AWS)
* DO NOT use with node cluester (i.e. letsencrypt-cluster)

Install
-------

```bash
npm install --save le-challenge-standalone@2.x
```

Usage
-----

```bash
var leChallenge = require('le-challenge-standalone').create({
, debug: false
});

var LE = require('letsencrypt');

LE.create({
  server: LE.stagingServerUrl
, challenge: leChallenge
});
```

NOTE: If you request a certificate with 6 domains listed,
it will require 6 individual challenges.

Exposed Methods
---------------

For ACME Challenge:

* `set(opts, domain, key, val, done)`
* `get(defaults, domain, key, done)`
* `remove(defaults, domain, key, done)`

For node-letsencrypt internals:

* `getOptions()` returns the user supplied options, if any (no effect)
